<?php
/* Metodos de acceso a los campos de la tabla FCO_CajaUsuario redefinidos por el usuario */
class FCO_CajaUsuarioBN extends BaseFCO_CajaUsuarioBN
{
    public function getObjectCaja()
    {
        $o_FCO_CajaFN = new FCO_CajaFN();
        $o_FCO_CajaBN = $o_FCO_CajaFN->selectByPK( $this->getIdCaja() );
        return $o_FCO_CajaBN;
    }

    public function getObjectUsuario()
    {
        $o_SEG_UsuarioFN = new SEG_UsuarioFN();
        $o_SEG_UsuarioBN = $o_SEG_UsuarioFN->selectByPK( $this->getIdUsuario() );
        if( !$o_SEG_UsuarioBN )
        {
            $o_SEG_UsuarioBN = new SEG_UsuarioBN();
            $o_SEG_UsuarioBN->setUsuarioNombre( "NO ASIGNADO" );
            return $o_SEG_UsuarioBN;
        }
        return $o_SEG_UsuarioBN;
    }
}
?>